Index: pure/gnumeric-pure/Portfile
===================================================================
--- pure/gnumeric-pure/Portfile	(revision 129762)
+++ pure/gnumeric-pure/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      gnumeric-pure 0.14
+revision                        1
 name                            gnumeric-pure
 categories-append               math devel
 platforms                       darwin
@@ -30,3 +31,6 @@
 build.args-append               prefix=${prefix}
 
 destroot.args-append            prefix=${prefix}
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pd-pure/Portfile
===================================================================
--- pure/pd-pure/Portfile	(revision 129762)
+++ pure/pd-pure/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      pd-pure 0.20
+revision                        1
 name                            pd-pure
 categories-append               audio devel
 platforms                       darwin
@@ -23,3 +24,6 @@
 build.args-append               prefix=${prefix}
 
 destroot.args-append            prefix=${prefix}
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-audio/Portfile
===================================================================
--- pure/pure-audio/Portfile	(revision 129762)
+++ pure/pure-audio/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      audio 0.6
+revision                        1
 categories-append               audio
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -29,3 +30,6 @@
                                 port:portaudio
 
 build.args-append               includedir=${prefix}/include
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-bonjour/Portfile
===================================================================
--- pure/pure-bonjour/Portfile	(revision 129762)
+++ pure/pure-bonjour/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      bonjour 0.1
+revision                        1
 categories-append               devel
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -21,3 +22,6 @@
 depends_build-append            port:pkgconfig
 
 patchfiles-append               patch-Makefile.diff
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-csv/Portfile
===================================================================
--- pure/pure-csv/Portfile	(revision 129762)
+++ pure/pure-csv/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      csv 1.6
+revision                        1
 categories-append               devel
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -21,3 +22,6 @@
                                 sha256  fe7c4edebe8208c54d5792a9eefaeb28c4a58b9094d161a6dda8126f0823ab3c
 
 depends_build-append            port:pkgconfig
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-doc/Portfile
===================================================================
--- pure/pure-doc/Portfile	(revision 129762)
+++ pure/pure-doc/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      doc 0.7
+revision                        1
 categories-append               textproc
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -21,3 +22,6 @@
                                 sha256  cfa880573941f37868269bcc443a09fecd2a141a78556383d2213f6c9f45ddd9
 
 depends_build-append            path:bin/flex:flex
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-fastcgi/Portfile
===================================================================
--- pure/pure-fastcgi/Portfile	(revision 129762)
+++ pure/pure-fastcgi/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      fastcgi 0.6
+revision                        1
 categories-append               www
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -23,3 +24,6 @@
 depends_lib-append              port:fcgi \
                                 port:gmp \
                                 port:mpfr
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-faust/Portfile
===================================================================
--- pure/pure-faust/Portfile	(revision 129762)
+++ pure/pure-faust/Portfile	(working copy)
@@ -6,6 +6,7 @@
 
 pure.setup                      faust 0.11
 revision                        1
+revision                        1
 categories-append               audio lang
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -23,3 +24,6 @@
 depends_build-append            port:pkgconfig
 
 depends_lib-append              port:libtool
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-ffi/Portfile
===================================================================
--- pure/pure-ffi/Portfile	(revision 129762)
+++ pure/pure-ffi/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      ffi 0.14
+revision                        1
 categories-append               devel
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -29,6 +30,9 @@
 depends_lib-append              port:libffi \
                                 port:gmp
 
+# This port supports a universal build.
+universal_variant yes
+
 platform darwin {
     configure.cflags-append     -fno-common
 }
Index: pure/pure-gl/Portfile
===================================================================
--- pure/pure-gl/Portfile	(revision 129762)
+++ pure/pure-gl/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      gl 0.9
+revision                        1
 categories-append               graphics
 platforms                       macosx
 maintainers                     ryandesign gmail.com:aggraef
@@ -19,3 +20,6 @@
                                 sha256  edd594222f89ae372067eda6679a37488986b9739b5b79b4a25ac48255d31bba
 
 depends_build-append            port:pkgconfig
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-glpk/Portfile
===================================================================
--- pure/pure-glpk/Portfile	(revision 129762)
+++ pure/pure-glpk/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup           pure 1.0
 
 pure.setup          glpk 0.5
+revision            1
 categories-append   math lang
 platforms           darwin
 maintainers         ryandesign gmail.com:aggraef
@@ -26,3 +27,6 @@
                     port:zlib
 
 patchfiles          patch-Makefile.diff
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-gsl/Portfile
===================================================================
--- pure/pure-gsl/Portfile	(revision 129762)
+++ pure/pure-gsl/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      gsl 0.12
+revision                        1
 categories-append               math science
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -25,3 +26,6 @@
 depends_build-append            port:pkgconfig
 
 depends_lib-append              port:gsl
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-gtk/Portfile
===================================================================
--- pure/pure-gtk/Portfile	(revision 129762)
+++ pure/pure-gtk/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      gtk 0.13
+revision                        1
 categories-append               x11
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -28,3 +29,6 @@
                                 path:lib/pkgconfig/glib-2.0.pc:glib2 \
                                 path:lib/pkgconfig/gtk+-2.0.pc:gtk2 \
                                 path:lib/pkgconfig/pango.pc:pango
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-liblo/Portfile
===================================================================
--- pure/pure-liblo/Portfile	(revision 129762)
+++ pure/pure-liblo/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      liblo 0.9
+revision                        1
 categories-append               audio
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -24,3 +25,6 @@
 
 depends_lib-append              port:gmp \
                                 port:liblo
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-lilv/Portfile
===================================================================
--- pure/pure-lilv/Portfile	(revision 129762)
+++ pure/pure-lilv/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      lilv 0.4
+revision                        1
 categories-append               audio devel
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -26,3 +27,6 @@
                                 port:lv2
 
 patchfiles-append               patch-Makefile.diff
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-lv2/Portfile
===================================================================
--- pure/pure-lv2/Portfile	(revision 129762)
+++ pure/pure-lv2/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      lv2 0.2
+revision                        1
 categories-append               audio devel
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -24,3 +25,6 @@
 depends_lib-append              port:lv2
 
 patchfiles-append               patch-Makefile.diff
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-midi/Portfile
===================================================================
--- pure/pure-midi/Portfile	(revision 129762)
+++ pure/pure-midi/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      midi 0.6
+revision                        1
 categories-append               audio
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -22,3 +23,6 @@
 depends_build-append            port:pkgconfig
 
 depends_lib-append              port:portmidi
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-mpfr/Portfile
===================================================================
--- pure/pure-mpfr/Portfile	(revision 129762)
+++ pure/pure-mpfr/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup               pure 1.0
 
 pure.setup              mpfr 0.5
+revision                1
 categories-append       devel math
 platforms               darwin
 maintainers             ryandesign gmail.com:aggraef
@@ -24,3 +25,6 @@
 
 depends_lib-append      port:gmp \
                         port:mpfr
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-odbc/Portfile
===================================================================
--- pure/pure-odbc/Portfile	(revision 129762)
+++ pure/pure-odbc/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      odbc 0.10
+revision                        1
 categories-append               databases
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -24,3 +25,6 @@
 
 depends_lib-append              path:lib/libgmp.dylib:gmp \
                                 path:lib/libodbc.dylib:unixODBC
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-readline/Portfile
===================================================================
--- pure/pure-readline/Portfile	(revision 129762)
+++ pure/pure-readline/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      readline 0.3
+revision                        1
 categories-append               devel
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -20,3 +21,6 @@
 depends_build-append            port:pkgconfig
 
 depends_lib-append              port:readline
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-reduce/Portfile
===================================================================
--- pure/pure-reduce/Portfile	(revision 129762)
+++ pure/pure-reduce/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      reduce 0.4
+revision                        1
 categories-append               devel math
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -35,6 +36,9 @@
     system -W ${worksrcpath} "tar xjf ${distpath}/${reduce_distfile}"
 }
 
-patchfiles                      patch-Makefile.diff
+patchfiles                      patch-Makefile.diff patch-Makefile-ldflags.diff
 
 use_parallel_build              no
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-sockets/Portfile
===================================================================
--- pure/pure-sockets/Portfile	(revision 129762)
+++ pure/pure-sockets/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      sockets 0.7
+revision                        1
 categories-append               net
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -24,3 +25,6 @@
                                 sha256  4f2769618ae5818cf6005bb08bcf02fe359a2e31998d12dc0c72f0494e9c0420
 
 depends_build-append            port:pkgconfig
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-sql3/Portfile
===================================================================
--- pure/pure-sql3/Portfile	(revision 129762)
+++ pure/pure-sql3/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      sql3 0.5
+revision                        1
 categories-append               databases
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -24,3 +25,6 @@
 
 depends_lib-append              port:gmp \
                                 port:sqlite3
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-stldict/Portfile
===================================================================
--- pure/pure-stldict/Portfile	(revision 129762)
+++ pure/pure-stldict/Portfile	(working copy)
@@ -6,6 +6,7 @@
 PortGroup               pure 1.0
 
 pure.setup              stldict 0.8
+revision                1
 categories-append       devel
 platforms               darwin
 maintainers             ryandesign gmail.com:aggraef
@@ -35,5 +36,8 @@
     configure.cxxflags-append -DHAVE_TR1
 }
 
+# This port supports a universal build.
+universal_variant yes
+
 test.run                yes
 test.target             check
Index: pure/pure-stllib/Portfile
===================================================================
--- pure/pure-stllib/Portfile	(revision 129762)
+++ pure/pure-stllib/Portfile	(working copy)
@@ -6,6 +6,7 @@
 PortGroup               pure 1.0
 
 pure.setup              stllib 0.6
+revision                1
 categories-append       devel
 platforms               darwin
 maintainers             ryandesign gmail.com:aggraef
@@ -35,5 +36,8 @@
     configure.cxxflags-append -DHAVE_TR1
 }
 
+# This port supports a universal build.
+universal_variant yes
+
 test.run                yes
 test.target             check
Index: pure/pure-tk/Portfile
===================================================================
--- pure/pure-tk/Portfile	(revision 129762)
+++ pure/pure-tk/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup               pure 1.0
 
 pure.setup              tk 0.5
+revision                1
 categories-append       x11
 platforms               darwin
 maintainers             ryandesign gmail.com:aggraef
@@ -24,3 +25,6 @@
 
 depends_lib-append      port:tcl \
                         port:tk
+
+# This port supports a universal build.
+universal_variant yes
Index: pure/pure-xml/Portfile
===================================================================
--- pure/pure-xml/Portfile	(revision 129762)
+++ pure/pure-xml/Portfile	(working copy)
@@ -5,6 +5,7 @@
 PortGroup                       pure 1.0
 
 pure.setup                      xml 0.7
+revision                        1
 categories-append               textproc
 platforms                       darwin
 maintainers                     ryandesign gmail.com:aggraef
@@ -24,3 +25,6 @@
                                 port:libxml2 \
                                 port:libxslt \
                                 port:zlib
+
+# This port supports a universal build.
+universal_variant yes