--- Portfile.orig	2015-01-07 11:55:45.000000000 +0000
+++ Portfile	2015-01-07 14:36:14.000000000 +0000
@@ -1,93 +1,99 @@
 # $Id: Portfile 101020 2013-01-03 07:36:46Z ryandesign@macports.org $
 
-PortSystem	1.0
-name		logtalk
-conflicts	logtalk-devel
-version     2.44.1
+PortSystem          1.0
+name                logtalk
+conflicts           logtalk-devel
+version             3.00.0
+
+categories          lang
+maintainers         logtalk.org:pmoura
+license             GPL-3+
+platforms           darwin freebsd linux
+supported_archs     noarch
+
+description         Logtalk - Open source object-oriented logic programming language
+
+long_description    Logtalk is an object-oriented logic programming language that extends and \
+                    leverages the Prolog language with a feature set suitable for programming \
+                    in the large. Logtalk supports modern code encapsulation and code reuse   \
+                    mechanisms without compromising the declarative programming features of   \
+                    Prolog. Logtalk is implemented in highly portable code and can use most   \
+                    modern and standards compliant Prolog implementations as a back-end       \
+                    compiler. As a multi-paradigm language, it includes support for modules,  \
+                    prototypes, classes, protocols (interfaces), categories (components and   \
+                    hot patching), event-driven programming, and high-level multi-threading   \
+                    programming. Its distribution uses a commercial friendly license and      \
+                    includes full documentation, portable libraries, a comprehensive set of   \
+                    portable developer tools, and a large number of programming examples to   \
+                    help get you started.
+
+homepage            http://logtalk.org/
+
+homepage            http://logtalk.org/
+master_sites        ${homepage}files/
+
+checksums           \
+    sha256          7462eaf8fd7fa865f8cccbb449a97981fbcb109a21536e2420f205b3b4b814b2  \
+    rmd160          3afcce7be34aadd07e8d88b795b67591889cb247
 
-categories	lang
-maintainers	logtalk.org:pmoura
-license		Artistic-2
-platforms	darwin freebsd linux
-supported_archs noarch
+use_bzip2           yes
 
-description	Logtalk - Open source object-oriented logic programming language
+depends_lib         port:shared-mime-info
 
-long_description	\
-	Logtalk is an object-oriented logic programming language that can use most		\
-	Prolog implementations as a back-end compiler. As a multi-paradigm language,	\
-	it includes support for both prototypes and classes, protocols (interfaces),	\
-	component-based programming through category-based composition, event-driven	\
-	programming, and high-level multi-threading programming.
+use_configure       no
 
-homepage		http://logtalk.org/
-master_sites	${homepage}files/
-
-checksums       \
-	sha1        9649b95be37b511676a5a1926d75c1a46b285642  \
-	rmd160      d02cd52ca322c819ac671d9abf83956a7b6c3ecf 
-
-distname		lgt[strsed ${version} {g/\.//}]
-
-use_bzip2		yes
-
-depends_lib		port:shared-mime-info
-
-use_configure	no
-
-build			{}
+build               {}
 
 destroot {
-	system "cd ${worksrcpath}/scripts && ./install.sh ${destroot}${prefix}"
+    system "cd ${worksrcpath}/scripts && ./install.sh -p ${destroot}${prefix}"
 }
 
 post-destroot {
-	delete ${destroot}${prefix}/share/mime
+    delete ${destroot}${prefix}/share/mime
 }
 
 package.flat no
 
 post-pkg {
-	set resources ${workpath}/${name}-${version}.pkg/Contents/Resources/
-	file copy -force -- ${workpath}/${worksrcdir}/scripts/macosx/License.html ${resources}
-	file copy -force -- ${workpath}/${worksrcdir}/scripts/macosx/ReadMe.html ${resources}
-	file copy -force -- ${workpath}/${worksrcdir}/scripts/macosx/Welcome.html ${resources}
-	file copy -force -- ${workpath}/${worksrcdir}/scripts/macosx/postflight ${resources}
+    set resources ${workpath}/${name}-${version}.pkg/Contents/Resources/
+    file copy -force -- ${workpath}/${worksrcdir}/scripts/macosx/License.html ${resources}
+    file copy -force -- ${workpath}/${worksrcdir}/scripts/macosx/ReadMe.html ${resources}
+    file copy -force -- ${workpath}/${worksrcdir}/scripts/macosx/Welcome.html ${resources}
+    file copy -force -- ${workpath}/${worksrcdir}/scripts/macosx/postflight ${resources}
 }
 
 post-activate {
-	ui_msg "****************************************************************************"
-	ui_msg "* Integration scripts have been created for running Logtalk with selected"
-	ui_msg "* back-end Prolog compilers (which must be properly installed for running"
-	ui_msg "* the scripts!):"
-	ui_msg "*"
-	ui_msg "* B-Prolog (version 7.5#8 or later):     bplgt"
-	ui_msg "* CxProlog (version 0.97.5 or later):    cxlgt"
-	ui_msg "* ECLiPSe (version 6.0#141 or later):    eclipselgt"
-	ui_msg "* GNU Prolog (version 1.4.0 or later):   gplgt"
-	ui_msg "* Lean Prolog (version 2.19.0 or later): lplgt"
-	ui_msg "* Qu-Prolog (version 8.12 or later):     qplgt"
-	ui_msg "* SICStus Prolog (versions 3.12.x, 4.x): sicstuslgt"
-	ui_msg "* SWI-Prolog (version 5.8.0 or later):   swilgt"
-	ui_msg "* XSB (version 3.3 or later):            xsblgt     (first run must use sudo)"
-	ui_msg "* XSB 64 bits (version 3.3 or later):    xsb64lgt   (first run must use sudo)"
-	ui_msg "* XSB MT (version 3.3 or later):         xsbmtlgt   (first run must use sudo)"
-	ui_msg "* XSB MT 64 bits (version 3.3 or later): xsbmt64lgt (first run must use sudo)"
-	ui_msg "* YAP (version 6.0.2 or later):          yaplgt"
-	ui_msg "*"
-	ui_msg "* Remember to set the environment variable LOGTALKHOME to the path to"
-	ui_msg "* the Logtalk distribution: ${prefix}/share/logtalk"
-	ui_msg "* and the environment variable LOGTALKUSER to your local configuration"
-	ui_msg "* directory (usually ~/logtalk), which you must create by running the"
-	ui_msg "* command logtalk_user_setup. See the file \$LOGTALKHOME/CUSTOMIZE.txt"
-	ui_msg "* for details on how to customize your working environment."
-	ui_msg "*"
-	if {[file exists ${prefix}/share/mime/packages/logtalk.xml]} {
-	    delete ${prefix}/share/mime/packages/logtalk.xml
-	}
-	xinstall -d ${prefix}/share/mime/packages
-	xinstall -m 644 ${prefix}/share/${distname}/scripts/freedesktop/logtalk.xml ${prefix}/share/mime/packages
-	system "${prefix}/bin/update-mime-database ${prefix}/share/mime; true"
-	ui_msg "* Added the Logtalk mime-type to the Shared MIME-info Database."
-	ui_msg "****************************************************************************"
+    ui_msg "****************************************************************************"
+    ui_msg "* Integration scripts have been created for running Logtalk with selected"
+    ui_msg "* back-end Prolog compilers (which must be properly installed for running"
+    ui_msg "* the scripts!):"
+    ui_msg "*"
+    ui_msg "* B-Prolog (version 7.8 or later):         bplgt"
+    ui_msg "* CxProlog (version 0.97.7 or later):      cxlgt"
+    ui_msg "* ECLiPSe (version 6.1#143 or later):      eclipselgt"
+    ui_msg "* GNU Prolog (version 1.4.2 or later):     gplgt"
+    ui_msg "* Lean Prolog (version 3.8.8 or later):    lplgt       (experimental)"
+    ui_msg "* Qu-Prolog (version 9.0 or later):        qplgt"
+    ui_msg "* Quintus Prolog (version 3.3 or later):   quintuslgt  (experimental)"
+    ui_msg "* SICStus Prolog (version 4.1.0 or later): sicstuslgt"
+    ui_msg "* SWI-Prolog (version 6.0.0 or later):     swilgt"
+    ui_msg "* XSB (version 3.5.0 or later):            xsblgt      (first run may require sudo)"
+    ui_msg "* XSB MT (version 3.5.0 or later):         xsbmtlgt    (first run may require sudo)"
+    ui_msg "* YAP (version 6.3.4 or later):            yaplgt"
+    ui_msg "*"
+    ui_msg "* Remember to set the environment variable LOGTALKHOME to the path to"
+    ui_msg "* the Logtalk distribution: ${prefix}/share/logtalk"
+    ui_msg "* and the environment variable LOGTALKUSER to your local configuration"
+    ui_msg "* directory (usually ~/logtalk), which you must create by running the"
+    ui_msg "* command logtalk_user_setup. See the file \$LOGTALKHOME/CUSTOMIZE.txt"
+    ui_msg "* for details on how to customize your working environment."
+    ui_msg "*"
+    if {[file exists ${prefix}/share/mime/packages/logtalk.xml]} {
+        delete ${prefix}/share/mime/packages/logtalk.xml
+    }
+    xinstall -d ${prefix}/share/mime/packages
+    xinstall -m 644 ${prefix}/share/${distname}/scripts/freedesktop/logtalk.xml ${prefix}/share/mime/packages
+    system "${prefix}/bin/update-mime-database ${prefix}/share/mime; true"
+    ui_msg "* Added the Logtalk mime-type to the Shared MIME-info Database."
+    ui_msg "****************************************************************************"
 }