Index: Portfile
===================================================================
--- Portfile	(revision 131933)
+++ Portfile	(working copy)
@@ -5,8 +5,7 @@
 PortGroup           muniversal 1.0
 
 name                cmake
-version             3.0.2
-revision            1
+version             3.1.0
 set branch          [join [lrange [split ${version} .] 0 1] .]
 categories          devel
 license             BSD
@@ -21,8 +20,8 @@
 master_sites        http://www.cmake.org/files/v${branch}/
 platforms           darwin freebsd
 
-checksums           rmd160  b94ea2ed4dced373e289fa5f66674a227135f350 \
-                    sha256  6b4ea61eadbbd9bec0ccb383c29d1f4496eacc121ef7acf37c7a24777805693e
+checksums           rmd160  00390c46b82fda47bb13fc740d4cd037bf66a8c1 \
+                    sha256  8bdc3fa3f2da81bc10c772a6b64cc9052acc2901d42e1e1b2588b40df224aad9
 
 depends_lib-append  port:libidn \
                     port:openssl \
@@ -35,7 +34,6 @@
 patchfiles          patch-CMakeFindFrameworks.cmake.diff \
                     patch-Modules-FindFreetype.cmake.diff \
                     patch-Modules-FindQt4.cmake.diff \
-                    patch-Modules-Platform-Darwin.cmake.diff \
                     patch-Modules-noArchCheck.diff
 
 configure.env-append \
Index: files/patch-Modules-FindFreetype.cmake.diff
===================================================================
--- files/patch-Modules-FindFreetype.cmake.diff	(revision 131933)
+++ files/patch-Modules-FindFreetype.cmake.diff	(working copy)
@@ -1,6 +1,6 @@
 --- Modules/FindFreetype.cmake.orig
 +++ Modules/FindFreetype.cmake
-@@ -55,10 +55,6 @@ find_path(FREETYPE_INCLUDE_DIR_ft2build ft2build.h
+@@ -57,10 +57,6 @@ find_path(
    HINTS
      ENV FREETYPE_DIR
    PATHS
@@ -11,7 +11,7 @@
      ENV GTKMM_BASEPATH
      [HKEY_CURRENT_USER\\SOFTWARE\\gtkmm\\2.4;Path]
      [HKEY_LOCAL_MACHINE\\SOFTWARE\\gtkmm\\2.4;Path]
-@@ -72,10 +68,6 @@ find_path(FREETYPE_INCLUDE_DIR_freetype2
+@@ -78,10 +74,6 @@ find_path(
    HINTS
      ENV FREETYPE_DIR
    PATHS
@@ -22,9 +22,9 @@
      ENV GTKMM_BASEPATH
      [HKEY_CURRENT_USER\\SOFTWARE\\gtkmm\\2.4;Path]
      [HKEY_LOCAL_MACHINE\\SOFTWARE\\gtkmm\\2.4;Path]
-@@ -88,10 +80,6 @@ find_library(FREETYPE_LIBRARY
+@@ -99,10 +91,6 @@ find_library(FREETYPE_LIBRARY
+   HINTS
      ENV FREETYPE_DIR
-   PATH_SUFFIXES lib
    PATHS
 -    /usr/X11R6
 -    /usr/local/X11R6
Index: files/patch-Modules-FindQt4.cmake.diff
===================================================================
--- files/patch-Modules-FindQt4.cmake.diff	(revision 131933)
+++ files/patch-Modules-FindQt4.cmake.diff	(working copy)
@@ -1,6 +1,6 @@
 --- Modules/FindQt4.cmake.orig
 +++ Modules/FindQt4.cmake
-@@ -728,9 +728,7 @@ if (QT_QMAKE_EXECUTABLE AND QTVERSION)
+@@ -741,9 +741,7 @@ if (QT_QMAKE_EXECUTABLE AND
        find_path(QT_IMPORTS_DIR NAMES Qt
          HINTS ${qt_cross_paths} ${qt_imports_dir}
          DOC "The location of the Qt imports"
Index: files/patch-Modules-noArchCheck.diff
===================================================================
--- files/patch-Modules-noArchCheck.diff	(revision 131933)
+++ files/patch-Modules-noArchCheck.diff	(working copy)
@@ -1,7 +1,6 @@
-diff -ur ../cmake-2.8.12-orig/Modules/BasicConfigVersion-AnyNewerVersion.cmake.in ./Modules/BasicConfigVersion-AnyNewerVersion.cmake.in
---- ../cmake-2.8.12-orig/Modules/BasicConfigVersion-AnyNewerVersion.cmake.in	2013-10-08 00:31:00.000000000 +0900
-+++ ./Modules/BasicConfigVersion-AnyNewerVersion.cmake.in	2013-12-25 16:14:04.000000000 +0900
-@@ -17,15 +17,3 @@
+--- Modules/BasicConfigVersion-AnyNewerVersion.cmake.in.orig
++++ Modules/BasicConfigVersion-AnyNewerVersion.cmake.in
+@@ -17,15 +17,3 @@ else()
      set(PACKAGE_VERSION_EXACT TRUE)
    endif()
  endif()
@@ -17,10 +16,9 @@
 -   set(PACKAGE_VERSION "${PACKAGE_VERSION} (${installedBits}bit)")
 -   set(PACKAGE_VERSION_UNSUITABLE TRUE)
 -endif()
-diff -ur ../cmake-2.8.12-orig/Modules/BasicConfigVersion-ExactVersion.cmake.in ./Modules/BasicConfigVersion-ExactVersion.cmake.in
---- ../cmake-2.8.12-orig/Modules/BasicConfigVersion-ExactVersion.cmake.in	2013-10-08 00:31:00.000000000 +0900
-+++ ./Modules/BasicConfigVersion-ExactVersion.cmake.in	2013-12-25 16:14:00.000000000 +0900
-@@ -32,16 +32,3 @@
+--- Modules/BasicConfigVersion-ExactVersion.cmake.in.orig
++++ Modules/BasicConfigVersion-ExactVersion.cmake.in
+@@ -32,16 +32,3 @@ endif()
  if( "${PACKAGE_FIND_VERSION}" STREQUAL "${PACKAGE_VERSION}")
    set(PACKAGE_VERSION_EXACT TRUE)
  endif()
@@ -37,10 +35,9 @@
 -  set(PACKAGE_VERSION "${PACKAGE_VERSION} (${installedBits}bit)")
 -  set(PACKAGE_VERSION_UNSUITABLE TRUE)
 -endif()
-diff -ur ../cmake-2.8.12-orig/Modules/BasicConfigVersion-SameMajorVersion.cmake.in ./Modules/BasicConfigVersion-SameMajorVersion.cmake.in
---- ../cmake-2.8.12-orig/Modules/BasicConfigVersion-SameMajorVersion.cmake.in	2013-10-08 00:31:00.000000000 +0900
-+++ ./Modules/BasicConfigVersion-SameMajorVersion.cmake.in	2013-12-25 16:13:52.000000000 +0900
-@@ -31,16 +31,3 @@
+--- Modules/BasicConfigVersion-SameMajorVersion.cmake.in.orig
++++ Modules/BasicConfigVersion-SameMajorVersion.cmake.in
+@@ -31,16 +31,3 @@ else()
        set(PACKAGE_VERSION_EXACT TRUE)
    endif()
  endif()