diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/unison/Portfile ./Portfile
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/unison/Portfile	2014-10-22 02:00:19.000000000 +0200
+++ ./Portfile	2015-01-09 18:42:40.000000000 +0100
@@ -1,11 +1,10 @@
 # -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
-# $Id: Portfile 127145 2014-10-21 23:46:09Z ecronin@macports.org $
+# $Id$
 
 PortSystem          1.0
 
 name                unison
-version             2.40.102
-revision            2
+version             2.48.3
 categories          net
 maintainers         nomaintainer
 license             GPL-3
@@ -19,10 +18,10 @@
 homepage            http://www.cis.upenn.edu/~bcpierce/unison/
 master_sites        ${homepage}download/releases/${name}-${version}/
 platforms           darwin openbsd
-checksums           rmd160 0231fd41895bde97ad4ae15bdc4994f9c9e27ad6 \
-                    sha256 3d4a92f02b6998f156cb714d202d0358dd2846efbdce9de30e2c666d77c1e854
+checksums           rmd160 884b4ec225d0411e8112e809c621b6779cf816b6\
+                    sha256 a695f9d45e95d3d9c3f25fcbf1891f5eb20e5aa51709f81b785a20e14270b7ee
 
-patchfiles          patch-Makefile.diff patch-uprintf-crash.diff
+patchfiles          patch-Makefile.diff
 
 use_configure       no
 
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/unison/files/patch-Makefile.OCaml.diff ./files/patch-Makefile.OCaml.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/unison/files/patch-Makefile.OCaml.diff	2013-07-15 18:03:06.000000000 +0200
+++ ./files/patch-Makefile.OCaml.diff	2015-01-09 18:42:56.000000000 +0100
@@ -1,6 +1,6 @@
---- Makefile.OCaml.orig	2011-04-16 22:35:38.000000000 +0200
-+++ Makefile.OCaml	2012-09-26 17:51:36.000000000 +0200
-@@ -292,7 +292,7 @@
+--- Makefile.OCaml.orig	Sun Sep 28 18:48:05 2014
++++ Makefile.OCaml	Fri Jan  9 15:23:59 2015
+@@ -299,7 +299,7 @@ endif
  
  # Gtk2 GUI
  ifeq ($(UISTYLE), gtk2)
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/unison/files/patch-Makefile.diff ./files/patch-Makefile.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/unison/files/patch-Makefile.diff	2013-07-15 18:03:06.000000000 +0200
+++ ./files/patch-Makefile.diff	2015-01-09 18:42:56.000000000 +0100
@@ -1,6 +1,6 @@
---- Makefile.orig	2011-04-16 22:35:38.000000000 +0200
-+++ Makefile	2011-04-26 17:53:52.000000000 +0200
-@@ -80,7 +80,7 @@
+--- Makefile.orig	Thu Jul 18 11:37:09 2013
++++ Makefile	Fri Jan  9 15:24:42 2015
+@@ -78,7 +78,7 @@ include Makefile.OCaml
  ######################################################################
  # Installation
  
@@ -9,7 +9,7 @@
  
  # This has two names because on OSX the file INSTALL shadows the target 'install'!
  install: doinstall
-@@ -92,9 +92,8 @@
+@@ -90,9 +90,8 @@ text: 
  	$(MAKE) -C .. text
  
  doinstall: $(NAME)$(EXEC_EXT)
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/unison/files/patch-uimacnew-uimacnew.xcodeproj-project.pbxproj.diff ./files/patch-uimacnew-uimacnew.xcodeproj-project.pbxproj.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/unison/files/patch-uimacnew-uimacnew.xcodeproj-project.pbxproj.diff	2013-07-15 18:03:06.000000000 +0200
+++ ./files/patch-uimacnew-uimacnew.xcodeproj-project.pbxproj.diff	2015-01-09 18:42:56.000000000 +0100
@@ -1,6 +1,6 @@
---- uimacnew/uimacnew.xcodeproj/project.pbxproj.orig	2010-04-15 12:29:31.000000000 -0500
-+++ uimacnew/uimacnew.xcodeproj/project.pbxproj	2011-11-25 00:14:00.000000000 -0600
-@@ -580,7 +580,6 @@
+--- uimacnew/uimacnew.xcodeproj/project.pbxproj.orig	Mon Sep  6 18:37:04 2010
++++ uimacnew/uimacnew.xcodeproj/project.pbxproj	Fri Jan  9 15:26:10 2015
+@@ -582,7 +582,6 @@
  					"-L$(OCAMLLIBDIR)",
  					"-lunix",
  					"-lthreadsnat",
@@ -8,7 +8,7 @@
  					"-lbigarray",
  					"-lasmrun",
  				);
-@@ -617,7 +616,6 @@
+@@ -622,7 +621,6 @@
  					"-L$(OCAMLLIBDIR)",
  					"-lunix",
  					"-lthreadsnat",
@@ -16,7 +16,7 @@
  					"-lbigarray",
  					"-lasmrun",
  				);
-@@ -651,7 +649,6 @@
+@@ -659,7 +657,6 @@
  					"-L$(OCAMLLIBDIR)",
  					"-lunix",
  					"-lthreadsnat",
diff -urN /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/unison/files/patch-uprintf-crash.diff ./files/patch-uprintf-crash.diff
--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/net/unison/files/patch-uprintf-crash.diff	2014-10-22 02:00:19.000000000 +0200
+++ ./files/patch-uprintf-crash.diff	1970-01-01 01:00:00.000000000 +0100
@@ -1,92 +0,0 @@
-diff -upr .depend .depend
---- .depend	2014-10-21 19:07:15.000000000 -0400
-+++ .depend	2014-10-21 19:13:27.000000000 -0400
-@@ -326,11 +326,9 @@ ubase/trace.cmx: ubase/util.cmx system.c
-     ubase/trace.cmi 
- ubase/uarg.cmo: ubase/util.cmi system.cmi ubase/safelist.cmi ubase/uarg.cmi 
- ubase/uarg.cmx: ubase/util.cmx system.cmx ubase/safelist.cmx ubase/uarg.cmi 
--ubase/uprintf.cmo: ubase/uprintf.cmi 
--ubase/uprintf.cmx: ubase/uprintf.cmi 
--ubase/util.cmo: ubase/uprintf.cmi system.cmi ubase/safelist.cmi \
-+ubase/util.cmo: system.cmi ubase/safelist.cmi \
-     ubase/util.cmi 
--ubase/util.cmx: ubase/uprintf.cmx system.cmx ubase/safelist.cmx \
-+ubase/util.cmx: system.cmx ubase/safelist.cmx \
-     ubase/util.cmi 
- lwt/lwt.cmi: 
- lwt/lwt_unix.cmi: lwt/lwt.cmi 
-@@ -343,7 +341,6 @@ ubase/rx.cmi: 
- ubase/safelist.cmi: 
- ubase/trace.cmi: ubase/prefs.cmi 
- ubase/uarg.cmi: 
--ubase/uprintf.cmi: 
- ubase/util.cmi: system.cmi 
- lwt/example/editor.cmo: lwt/lwt_unix.cmi 
- lwt/example/editor.cmx: lwt/lwt_unix.cmx 
-diff -upr Makefile.OCaml Makefile.OCaml
---- Makefile.OCaml	2014-10-21 19:07:15.000000000 -0400
-+++ Makefile.OCaml	2014-10-21 19:13:36.000000000 -0400
-@@ -211,7 +211,7 @@ OCAMLOBJS += \
-           system.cmo \
-           \
-           ubase/projectInfo.cmo ubase/myMap.cmo ubase/safelist.cmo \
--          ubase/uprintf.cmo ubase/util.cmo ubase/uarg.cmo \
-+          ubase/util.cmo ubase/uarg.cmo \
-           ubase/prefs.cmo ubase/trace.cmo ubase/proplist.cmo \
-           \
-           lwt/pqueue.cmo lwt/lwt.cmo lwt/lwt_util.cmo \
-diff -upr ubase/Makefile ubase/Makefile
---- ubase/Makefile	2014-10-21 19:07:15.000000000 -0400
-+++ ubase/Makefile	2014-10-21 19:13:52.000000000 -0400
-@@ -1,7 +1,7 @@
- NAME = ubase
- 
- OBJECTS  = \
--  safelist.cmo uprintf.cmo util.cmo uarg.cmo prefs.cmo trace.cmo rx.cmo \
-+  safelist.cmo util.cmo uarg.cmo prefs.cmo trace.cmo rx.cmo \
-   myMap.cmo
- 
- OCAMLC = ocamlfind ocamlc -g 
-@@ -54,4 +54,4 @@ clean::
- 
- # Used by BCP to update Harmony's copy of these files from Unison's
- update:
--	cp $(HOME)/current/unison/trunk/src/ubase/{*.ml,*.mli,Makefile} .
-\ No newline at end of file
-+	cp $(HOME)/current/unison/trunk/src/ubase/{*.ml,*.mli,Makefile} .
-diff -upr ubase/depend ubase/depend
---- ubase/depend	2014-10-21 19:07:15.000000000 -0400
-+++ ubase/depend	2014-10-21 19:13:47.000000000 -0400
-@@ -12,10 +12,8 @@ trace.cmo: util.cmi safelist.cmi prefs.c
- trace.cmx: util.cmx safelist.cmx prefs.cmx trace.cmi 
- uarg.cmo: util.cmi safelist.cmi uarg.cmi 
- uarg.cmx: util.cmx safelist.cmx uarg.cmi 
--uprintf.cmo: uprintf.cmi 
--uprintf.cmx: uprintf.cmi 
--util.cmo: uprintf.cmi safelist.cmi util.cmi 
--util.cmx: uprintf.cmx safelist.cmx util.cmi 
-+util.cmo: safelist.cmi util.cmi 
-+util.cmx: safelist.cmx util.cmi 
- myMap.cmi: 
- prefs.cmi: util.cmi 
- proplist.cmi: 
-@@ -23,5 +21,4 @@ rx.cmi: 
- safelist.cmi: 
- trace.cmi: prefs.cmi 
- uarg.cmi: 
--uprintf.cmi: 
- util.cmi: 
-Only in unison-2.40.102.orig/ubase: uprintf.ml
-Only in unison-2.40.102.orig/ubase: uprintf.mli
-diff -upr ubase/util.ml ubase/util.ml
---- ubase/util.ml	2014-10-21 19:07:15.000000000 -0400
-+++ ubase/util.ml	2014-10-21 19:10:16.000000000 -0400
-@@ -62,7 +62,7 @@ let set_infos s =
-   if s <> !infos then begin clear_infos (); infos := s; show_infos () end
- 
- let msg f =
--  clear_infos (); Uprintf.eprintf (fun () -> flush stderr; show_infos ()) f
-+  clear_infos (); Printf.kfprintf (fun c -> flush c; show_infos ()) stderr f
- 
- let msg : ('a, out_channel, unit) format -> 'a = msg
- 