Index: lang/python24/Portfile
===================================================================
--- lang/python24/Portfile	(revision 131433)
+++ lang/python24/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                    python24
 version                 2.4.6
-revision                10
+revision                11
 set major               [lindex [split $version .] 0]
 set branch              [join [lrange [split ${version} .] 0 1] .]
 categories              lang
Index: lang/python24/files/python24
===================================================================
--- lang/python24/files/python24	(revision 131433)
+++ lang/python24/files/python24	(working copy)
@@ -6,6 +6,7 @@
 bin/smtpd2.4.py
 -
 -
+bin/easy_install2.4
 share/man/man1/python2.4.1.gz
 ${frameworks_dir}/Python.framework/Versions/2.4
 ${frameworks_dir}/Python.framework/Versions/2.4/Headers
Index: lang/python24/files/python24-noframework
===================================================================
--- lang/python24/files/python24-noframework	(revision 131433)
+++ lang/python24/files/python24-noframework	(working copy)
@@ -6,6 +6,7 @@
 bin/smtpd2.4.py
 -
 -
+bin/easy_install2.4
 share/man/man1/python2.4.1.gz
 -
 -
Index: lang/python25/Portfile
===================================================================
--- lang/python25/Portfile	(revision 131433)
+++ lang/python25/Portfile	(working copy)
@@ -6,7 +6,7 @@
 
 name                    python25
 version                 2.5.6
-revision                4
+revision                5
 
 set branch              [join [lrange [split ${version} .] 0 1] .]
 categories              lang
Index: lang/python25/files/python25
===================================================================
--- lang/python25/files/python25	(revision 131433)
+++ lang/python25/files/python25	(working copy)
@@ -6,6 +6,7 @@
 bin/smtpd2.5.py
 -
 -
+bin/easy_install2.5
 share/man/man1/python2.5.1.gz
 ${frameworks_dir}/Python.framework/Versions/2.5
 ${frameworks_dir}/Python.framework/Versions/2.5/Headers
Index: lang/python26/Portfile
===================================================================
--- lang/python26/Portfile	(revision 131433)
+++ lang/python26/Portfile	(working copy)
@@ -7,7 +7,7 @@
 name                    python26
 # Remember to keep py26-tkinter and py26-gdbm's versions sync'd with this
 version                 2.6.9
-revision                1
+revision                2
 set major               [lindex [split $version .] 0]
 set branch              [join [lrange [split ${version} .] 0 1] .]
 categories              lang
Index: lang/python26/files/python26
===================================================================
--- lang/python26/files/python26	(revision 131433)
+++ lang/python26/files/python26	(working copy)
@@ -5,6 +5,7 @@
 bin/pydoc2.6
 bin/smtpd2.6.py
 bin/2to3-2.6
+bin/easy_install-2.6
 share/man/man1/python2.6.1
 -
 ${frameworks_dir}/Python.framework/Versions/2.6
Index: lang/python27/Portfile
===================================================================
--- lang/python27/Portfile	(revision 131433)
+++ lang/python27/Portfile	(working copy)
@@ -8,6 +8,7 @@
 epoch               2
 # Remember to keep py27-tkinter and py27-gdbm's versions sync'd with this
 version             2.7.9
+revision            1
 
 set major           [lindex [split $version .] 0]
 set branch          [join [lrange [split ${version} .] 0 1] .]
Index: lang/python27/files/python27
===================================================================
--- lang/python27/files/python27	(revision 131433)
+++ lang/python27/files/python27	(working copy)
@@ -5,6 +5,7 @@
 bin/pydoc2.7
 bin/smtpd2.7.py
 bin/2to3-2.7
+bin/easy_install-2.7
 share/man/man1/python2.7.1
 -
 ${frameworks_dir}/Python.framework/Versions/2.7
Index: lang/python31/Portfile
===================================================================
--- lang/python31/Portfile	(revision 131433)
+++ lang/python31/Portfile	(working copy)
@@ -8,7 +8,7 @@
 epoch                   1
 # Remember to keep py31-tkinter and py31-gdbm's versions sync'd with this
 version                 3.1.5
-revision                2
+revision                3
 set major               [lindex [split $version .] 0]
 set branch              [join [lrange [split ${version} .] 0 1] .]
 categories              lang
Index: lang/python31/files/python31
===================================================================
--- lang/python31/files/python31	(revision 131433)
+++ lang/python31/files/python31	(working copy)
@@ -5,6 +5,7 @@
 bin/pydoc3.1
 -
 bin/2to3-3.1
+bin/easy_install-3.1
 share/man/man1/python3.1.1
 -
 ${frameworks_dir}/Python.framework/Versions/3.1
Index: lang/python32/Portfile
===================================================================
--- lang/python32/Portfile	(revision 131433)
+++ lang/python32/Portfile	(working copy)
@@ -8,7 +8,7 @@
 epoch                   20120412
 # Remember to keep py32-tkinter and py32-gdbm's versions sync'd with this
 version                 3.2.6
-revision                1
+revision                2
 
 set major               [lindex [split $version .] 0]
 set branch              [join [lrange [split ${version} .] 0 1] .]
Index: lang/python32/files/python32
===================================================================
--- lang/python32/files/python32	(revision 131433)
+++ lang/python32/files/python32	(working copy)
@@ -5,6 +5,7 @@
 bin/pydoc3.2
 -
 bin/2to3-3.2
+bin/easy_install-3.2
 share/man/man1/python3.2.1
 -
 ${frameworks_dir}/Python.framework/Versions/3.2
Index: lang/python33/Portfile
===================================================================
--- lang/python33/Portfile	(revision 131433)
+++ lang/python33/Portfile	(working copy)
@@ -8,7 +8,7 @@
 
 # Remember to keep py33-tkinter and py33-gdbm's versions sync'd with this
 version                 3.3.6
-revision                1
+revision                2
 
 epoch                   20141012
 
Index: lang/python33/files/python33
===================================================================
--- lang/python33/files/python33	(revision 131433)
+++ lang/python33/files/python33	(working copy)
@@ -5,6 +5,7 @@
 bin/pydoc3.3
 -
 bin/2to3-3.3
+bin/easy_install-3.3
 share/man/man1/python3.3.1
 -
 ${frameworks_dir}/Python.framework/Versions/3.3
Index: lang/python34/Portfile
===================================================================
--- lang/python34/Portfile	(revision 131433)
+++ lang/python34/Portfile	(working copy)
@@ -8,7 +8,7 @@
 
 # Remember to keep py34-tkinter and py34-gdbm's versions sync'd with this
 version                 3.4.2
-revision                1
+revision                2
 
 epoch                   20141008
 
Index: lang/python34/files/python34
===================================================================
--- lang/python34/files/python34	(revision 131433)
+++ lang/python34/files/python34	(working copy)
@@ -5,6 +5,7 @@
 bin/pydoc3.4
 -
 bin/2to3-3.4
+bin/easy_install-3.4
 share/man/man1/python3.4.1
 -
 ${frameworks_dir}/Python.framework/Versions/3.4
Index: sysutils/python_select/Portfile
===================================================================
--- sysutils/python_select/Portfile	(revision 131433)
+++ sysutils/python_select/Portfile	(working copy)
@@ -5,7 +5,7 @@
 
 name                    python_select
 version                 0.3
-revision                4
+revision                5
 categories              sysutils
 platforms               darwin
 license                 BSD
Index: sysutils/python_select/files/base
===================================================================
--- sysutils/python_select/files/base	(revision 131433)
+++ sysutils/python_select/files/base	(working copy)
@@ -5,6 +5,7 @@
 bin/pydoc
 bin/smtpd.py
 bin/2to3
+bin/easy_install
 share/man/man1/python.1
 share/man/man1/python.1.gz
 ${frameworks_dir}/Python.framework/Versions/Current
Index: sysutils/python_select/files/none
===================================================================
--- sysutils/python_select/files/none	(revision 131433)
+++ sysutils/python_select/files/none	(working copy)
@@ -11,3 +11,4 @@
 -
 -
 -
+-
Index: sysutils/python_select/files/python23-apple
===================================================================
--- sysutils/python_select/files/python23-apple	(revision 131433)
+++ sysutils/python_select/files/python23-apple	(working copy)
@@ -5,6 +5,7 @@
 /usr/bin/pydoc
 -
 -
+-
 /usr/share/man/man1/python2.3.1
 -
 -
Index: sysutils/python_select/files/python25-apple
===================================================================
--- sysutils/python_select/files/python25-apple	(revision 131433)
+++ sysutils/python_select/files/python25-apple	(working copy)
@@ -5,6 +5,7 @@
 /usr/bin/pydoc2.5
 /usr/bin/smtpd2.5.py
 -
+/usr/bin/easy_install-2.5
 -
 /usr/share/man/man1/python2.5.1.gz
 -
Index: sysutils/python_select/files/python25-apple.mtln
===================================================================
--- sysutils/python_select/files/python25-apple.mtln	(revision 131433)
+++ sysutils/python_select/files/python25-apple.mtln	(working copy)
@@ -5,6 +5,7 @@
 /usr/bin/pydoc2.5
 /usr/bin/smtpd2.5.py
 -
+/usr/bin/easy_install-2.5
 /usr/share/man/man1/python2.5.1
 -
 -
Index: sysutils/python_select/files/python26-apple
===================================================================
--- sysutils/python_select/files/python26-apple	(revision 131433)
+++ sysutils/python_select/files/python26-apple	(working copy)
@@ -5,6 +5,7 @@
 /usr/bin/pydoc2.6
 /usr/bin/smtpd2.6.py
 /usr/bin/2to32.6
+/usr/bin/easy_install-2.6
 -
 /usr/share/man/man1/python2.6.1.gz
 -
Index: sysutils/python_select/files/python26-apple.mtln
===================================================================
--- sysutils/python_select/files/python26-apple.mtln	(revision 131433)
+++ sysutils/python_select/files/python26-apple.mtln	(working copy)
@@ -5,6 +5,7 @@
 /usr/bin/pydoc2.6
 /usr/bin/smtpd2.6.py
 /usr/bin/2to32.6
+/usr/bin/easy_install-2.6
 /usr/share/man/man1/python2.6.1
 -
 -
Index: sysutils/python_select/files/python27-apple
===================================================================
--- sysutils/python_select/files/python27-apple	(revision 131433)
+++ sysutils/python_select/files/python27-apple	(working copy)
@@ -5,6 +5,7 @@
 /usr/bin/pydoc2.7
 /usr/bin/smtpd2.7.py
 /usr/bin/2to3-2.7
+/usr/bin/easy_install-2.7
 -
 /usr/share/man/man1/python2.7.1.gz
 -
Index: sysutils/python_select/files/python27-apple.mtln
===================================================================
--- sysutils/python_select/files/python27-apple.mtln	(revision 131433)
+++ sysutils/python_select/files/python27-apple.mtln	(working copy)
@@ -5,6 +5,7 @@
 /usr/bin/pydoc2.7
 /usr/bin/smtpd2.7.py
 /usr/bin/2to3-2.7
+/usr/bin/easy_install-2.7
 /usr/share/man/man1/python2.7.1
 -
 -