--- fits-debug-1.0	2015-01-22 12:12:56.000000000 -0600
+++ fits-debug-1.1	2015-01-22 12:14:57.000000000 -0600
@@ -1,7 +1,7 @@
 DEBUG: Copying /Users/marius/Library/Preferences/com.apple.dt.Xcode.plist to /opt/local/var/macports/home/Library/Preferences
 DEBUG: Changing to port directory: /Users/marius/Development/MacPorts/ports/math/octave-fits
 DEBUG: OS darwin/13.4.0 (Mac OS X 10.9) arch i386
-DEBUG: Sourcing PortGroup octave 1.0 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/octave-1.0.tcl
+DEBUG: Sourcing PortGroup octave 1.1 from /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/_resources/port1.0/group/octave-1.1.tcl
 DEBUG: universal_variant is false, so not adding the default universal variant
 DEBUG: Running callback portconfigure::add_automatic_compiler_dependencies
 DEBUG: Finished running callback portconfigure::add_automatic_compiler_dependencies
@@ -2200,7 +2200,7 @@
 DEBUG: changing euid/egid - current euid: 0 - current egid: 0
 DEBUG: egid changed to: 501
 DEBUG: euid changed to: 503
-DEBUG: archivefetch phase started at Thu Jan 22 12:11:49 CST 2015
+DEBUG: archivefetch phase started at Thu Jan 22 12:14:29 CST 2015
 --->  Fetching archive for octave-fits
 DEBUG: Executing org.macports.archivefetch (octave-fits)
 DEBUG: euid/egid changed to: 0/0
@@ -2215,7 +2215,7 @@
 --->  Attempting to fetch octave-fits-1.0.5_0.darwin_13.x86_64.tbz2 from http://mse.uk.packages.macports.org/sites/packages.macports.org/octave-fits
   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                  Dload  Upload   Total   Spent    Left  Speed
-
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   294  100   294    0     0    985      0 --:--:-- --:--:-- --:--:--   986
+
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   294  100   294    0     0   1029      0 --:--:-- --:--:-- --:--:--  1027
 
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
 DEBUG: Fetching archive failed:: The requested URL returned error: 404 Not Found
 --->  Attempting to fetch octave-fits-1.0.5_0.darwin_13.x86_64.tbz2 from http://nue.de.packages.macports.org/macports/packages/octave-fits
@@ -2224,11 +2224,11 @@
 
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
 DEBUG: Fetching archive failed:: The requested URL returned error: 404 Not Found
 DEBUG: Privilege de-escalation not attempted as not running as root.
-DEBUG: fetch phase started at Thu Jan 22 12:11:51 CST 2015
+DEBUG: fetch phase started at Thu Jan 22 12:14:30 CST 2015
 --->  Fetching distfiles for octave-fits
 DEBUG: Executing org.macports.fetch (octave-fits)
 DEBUG: Privilege de-escalation not attempted as not running as root.
-DEBUG: checksum phase started at Thu Jan 22 12:11:51 CST 2015
+DEBUG: checksum phase started at Thu Jan 22 12:14:30 CST 2015
 --->  Verifying checksums for octave-fits
 DEBUG: Executing org.macports.checksum (octave-fits)
 --->  Checksumming fits-1.0.5.tar.gz
@@ -2237,7 +2237,7 @@
 DEBUG: Calculated (sha256) is 58f79a499004402a81938b26eecf3bdcf0e02385ca2125ca9079c92016502718
 DEBUG: Correct (sha256) checksum for fits-1.0.5.tar.gz
 DEBUG: Privilege de-escalation not attempted as not running as root.
-DEBUG: extract phase started at Thu Jan 22 12:11:51 CST 2015
+DEBUG: extract phase started at Thu Jan 22 12:14:30 CST 2015
 --->  Extracting octave-fits
 DEBUG: Executing org.macports.extract (octave-fits)
 --->  Extracting fits-1.0.5.tar.gz
@@ -2255,9 +2255,13 @@
 DEBUG: euid/egid changed to: 503/501
 DEBUG: Executing proc-post-org.macports.extract-extract-0
 DEBUG: Privilege de-escalation not attempted as not running as root.
-DEBUG: patch phase started at Thu Jan 22 12:11:51 CST 2015
+DEBUG: patch phase started at Thu Jan 22 12:14:31 CST 2015
 DEBUG: Executing org.macports.patch (octave-fits)
-DEBUG: Executing proc-post-org.macports.patch-patch-0
+DEBUG: Privilege de-escalation not attempted as not running as root.
+DEBUG: configure phase started at Thu Jan 22 12:14:31 CST 2015
+--->  Configuring octave-fits
+DEBUG: Using compiler 'Xcode Clang'
+DEBUG: Executing org.macports.configure (octave-fits)
 --->  Patching DESCRIPTION: /Autoload/s@yes@no@g
 DEBUG: Executing reinplace: /usr/bin/sed /Autoload/s@yes@no@g < /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/fits/DESCRIPTION >@ file10 2>@stderr
 DEBUG: euid/egid changed to: 0/0
@@ -2268,52 +2272,37 @@
 DEBUG: euid/egid changed to: 503/501
 xinstall: mkdir /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/fits
 DEBUG: Privilege de-escalation not attempted as not running as root.
-DEBUG: configure phase started at Thu Jan 22 12:11:51 CST 2015
---->  Configuring octave-fits
-DEBUG: Using compiler 'Xcode Clang'
-DEBUG: Executing proc-pre-org.macports.configure-configure-0
-DEBUG: Executing org.macports.configure (octave-fits)
+DEBUG: build phase started at Thu Jan 22 12:14:31 CST 2015
+--->  Building octave-fits
+DEBUG: Executing proc-pre-org.macports.build-build-0
+DEBUG: Executing org.macports.build (octave-fits)
+DEBUG: port disallows a parallel build
 DEBUG: Environment: 
-CC='/usr/bin/clang'
 CC_PRINT_OPTIONS='YES'
 CC_PRINT_OPTIONS_FILE='/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.CC_PRINT_OPTIONS'
-CFLAGS='-pipe -Os -arch x86_64'
 CPATH='/opt/local/include'
-CPPFLAGS='-I/opt/local/include'
-CXX='/usr/bin/clang++'
-CXXFLAGS='-pipe -Os -arch x86_64 -stdlib=libc++'
-F77FLAGS='-m64'
-F90FLAGS='-pipe -Os -m64'
-FCFLAGS='-pipe -Os -m64'
-FFLAGS='-pipe -Os'
-INSTALL='/usr/bin/install -c'
 LAPACK_LIBS='-L/opt/local/lib -L/opt/local/lib/gcc48/gcc/x86_64-apple-darwin13/4.8.4 -L/opt/local/lib/gcc48/gcc/x86_64-apple-darwin13/4.8.4/../../.. -lgfortran -lquadmath -lm -llapack'
 LC_CTYPE='C'
-LDFLAGS='-L/opt/local/lib -Wl,-headerpad_max_install_names -arch x86_64'
 LIBRARY_PATH='/opt/local/lib'
 MACOSX_DEPLOYMENT_TARGET='10.9'
-OBJC='/usr/bin/clang'
-OBJCFLAGS='-pipe -Os -arch x86_64'
-OBJCXX='/usr/bin/clang++'
-OBJCXXFLAGS='-pipe -Os -arch x86_64 -stdlib=libc++'
-DEBUG: Assembled command: 'cd "/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/fits" && /opt/local/bin/octave -q -f --eval 'pkg build -verbose -nodeps /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/fits /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/fits.tar.gz''
-DEBUG: Executing command line:  cd "/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/fits" && /opt/local/bin/octave -q -f --eval 'pkg build -verbose -nodeps /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/fits /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/fits.tar.gz' 
-mkdir (/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-oKUGH6)
-untar (/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/fits.tar.gz, /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-oKUGH6)
+DEBUG: Assembled command: 'cd "/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/fits" && /opt/local/bin/octave  -q -f --eval 'pkg build -verbose -nodeps /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/fits /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/fits.tar.gz''
+DEBUG: Executing command line:  cd "/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/fits" && /opt/local/bin/octave  -q -f --eval 'pkg build -verbose -nodeps /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/fits /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/fits.tar.gz' 
+mkdir (/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-UUV1al)
+untar (/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/fits.tar.gz, /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-UUV1al)
 mkoctfile --verbose -Wall -L/opt/local/lib -lcfitsio  read_fits_image.cc
-/usr/bin/clang++ -c -I/opt/local/include -fPIC -I/opt/local/include/octave-3.8.2/octave/.. -I/opt/local/include/octave-3.8.2/octave -I/opt/local/include  -pipe -Os -arch x86_64 -stdlib=libc++  -Wall   read_fits_image.cc -o read_fits_image.o
+/usr/bin/clang++ -c  -fPIC -I/opt/local/include/octave-3.8.2/octave/.. -I/opt/local/include/octave-3.8.2/octave -I/opt/local/include  -pipe -Os -arch x86_64 -stdlib=libc++ -D_THREAD_SAFE -pthread  -Wall   read_fits_image.cc -o read_fits_image.o
 /usr/bin/clang++ -bundle -bundle_loader /opt/local/bin/octave-3.8.2  -Wall -o read_fits_image.oct  read_fits_image.o   -L/opt/local/lib -lcfitsio -L/opt/local/lib/octave/3.8.2 -L/opt/local/lib -loctinterp -loctave   
 mkoctfile --verbose -Wall -L/opt/local/lib -lcfitsio  save_fits_image.cc
-/usr/bin/clang++ -c -I/opt/local/include -fPIC -I/opt/local/include/octave-3.8.2/octave/.. -I/opt/local/include/octave-3.8.2/octave -I/opt/local/include  -pipe -Os -arch x86_64 -stdlib=libc++  -Wall   save_fits_image.cc -o save_fits_image.o
+/usr/bin/clang++ -c  -fPIC -I/opt/local/include/octave-3.8.2/octave/.. -I/opt/local/include/octave-3.8.2/octave -I/opt/local/include  -pipe -Os -arch x86_64 -stdlib=libc++ -D_THREAD_SAFE -pthread  -Wall   save_fits_image.cc -o save_fits_image.o
 /usr/bin/clang++ -bundle -bundle_loader /opt/local/bin/octave-3.8.2  -Wall -o save_fits_image.oct  save_fits_image.o   -L/opt/local/lib -lcfitsio -L/opt/local/lib/octave/3.8.2 -L/opt/local/lib -loctinterp -loctave   
 mkoctfile --verbose -Wall -L/opt/local/lib -lcfitsio  save_fits_image_multi_ext.cc
-/usr/bin/clang++ -c -I/opt/local/include -fPIC -I/opt/local/include/octave-3.8.2/octave/.. -I/opt/local/include/octave-3.8.2/octave -I/opt/local/include  -pipe -Os -arch x86_64 -stdlib=libc++  -Wall   save_fits_image_multi_ext.cc -o save_fits_image_multi_ext.o
+/usr/bin/clang++ -c  -fPIC -I/opt/local/include/octave-3.8.2/octave/.. -I/opt/local/include/octave-3.8.2/octave -I/opt/local/include  -pipe -Os -arch x86_64 -stdlib=libc++ -D_THREAD_SAFE -pthread  -Wall   save_fits_image_multi_ext.cc -o save_fits_image_multi_ext.o
 /usr/bin/clang++ -bundle -bundle_loader /opt/local/bin/octave-3.8.2  -Wall -o save_fits_image_multi_ext.oct  save_fits_image_multi_ext.o   -L/opt/local/lib -lcfitsio -L/opt/local/lib/octave/3.8.2 -L/opt/local/lib -loctinterp -loctave   
-copyfile /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-oKUGH6/fits/src/read_fits_image.oct /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-oKUGH6/fits/src/save_fits_image.oct /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-oKUGH6/fits/src/save_fits_image_multi_ext.oct /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-oKUGH6/fits/inst/x86_64-apple-darwin13.4.0-api-v49+
-/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/octave-help-r71Cmp:105: expected @end ifinfo
-/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/octave-help-jOhK0p:102: superfluous argument to @end ifinfo:      Copyright (c) 2009-2014, Dirk Schmidt <fs@@dirk-schmidt.net>      (possibly involving @seealso)
-/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/octave-help-1BH90L:105: expected @end ifinfo
-/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/octave-help-71sblt:102: superfluous argument to @end ifinfo:      Copyright (c) 2009-2014, Dirk Schmidt <fs@@dirk-schmidt.net>      (possibly involving @seealso)
+copyfile /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-UUV1al/fits/src/read_fits_image.oct /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-UUV1al/fits/src/save_fits_image.oct /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-UUV1al/fits/src/save_fits_image_multi_ext.oct /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/oct-UUV1al/fits/inst/x86_64-apple-darwin13.4.0-api-v49+
+/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/octave-help-LxTlbF:105: expected @end ifinfo
+/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/octave-help-rHAMuJ:102: superfluous argument to @end ifinfo:      Copyright (c) 2009-2014, Dirk Schmidt <fs@@dirk-schmidt.net>      (possibly involving @seealso)
+/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/octave-help-GGpo2a:105: expected @end ifinfo
+/opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/.tmp/octave-help-Ead11T:102: superfluous argument to @end ifinfo:      Copyright (c) 2009-2014, Dirk Schmidt <fs@@dirk-schmidt.net>      (possibly involving @seealso)
 For information about changes from previous versions of the fits package, run 'news fits'.
 a fits
 a fits/COPYING
@@ -2327,11 +2316,7 @@
 a fits/inst/x86_64-apple-darwin13.4.0-api-v49+/save_fits_image.oct
 a fits/inst/x86_64-apple-darwin13.4.0-api-v49+/save_fits_image_multi_ext.oct
 DEBUG: Privilege de-escalation not attempted as not running as root.
-DEBUG: build phase started at Thu Jan 22 12:12:06 CST 2015
---->  Building octave-fits
-DEBUG: Executing org.macports.build (octave-fits)
-DEBUG: Privilege de-escalation not attempted as not running as root.
-DEBUG: destroot phase started at Thu Jan 22 12:12:06 CST 2015
+DEBUG: destroot phase started at Thu Jan 22 12:14:47 CST 2015
 --->  Staging octave-fits into destroot
 DEBUG: Can't run destroot under sudo without elevated privileges (due to mtree).
 DEBUG: Run destroot without sudo to avoid root privileges.
@@ -2480,7 +2465,7 @@
 DEBUG: changing euid/egid - current euid: 0 - current egid: 0
 DEBUG: egid changed to: 501
 DEBUG: euid changed to: 503
-DEBUG: install phase started at Thu Jan 22 12:12:06 CST 2015
+DEBUG: install phase started at Thu Jan 22 12:14:50 CST 2015
 --->  Installing octave-fits @1.0.5_0
 DEBUG: Can't run install on this port without elevated privileges. Escalating privileges back to root.
 DEBUG: euid changed to: 0. egid changed to: 0.
@@ -2522,7 +2507,7 @@
 DEBUG: removing file: /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/destroot/+DESC
 DEBUG: removing file: /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/destroot/+PORTFILE
 DEBUG: removing file: /opt/local/var/macports/build/_Users_marius_Development_MacPorts_ports_math_octave-fits/octave-fits/work/destroot/+STATE
-DEBUG: activate phase started at Thu Jan 22 12:12:06 CST 2015
+DEBUG: activate phase started at Thu Jan 22 12:14:51 CST 2015
 DEBUG: Executing org.macports.activate (octave-fits)
 --->  Activating octave-fits @1.0.5_0
 DEBUG: Using /usr/bin/tar
@@ -2558,12 +2543,12 @@
 DEBUG: activating directory: /opt/local/share/octave/packages
 DEBUG: activating file: /opt/local/share/octave/packages/.turd_octave-fits
 DEBUG: Executing proc-post-org.macports.activate-activate-0
-mkdir (/var/tmp/oct-rfnZEp)
-untar (/opt/local/share/octave/fits.tar.gz, /var/tmp/oct-rfnZEp)
+mkdir (/var/tmp/oct-ML4OPK)
+untar (/opt/local/share/octave/fits.tar.gz, /var/tmp/oct-ML4OPK)
 For information about changes from previous versions of the fits package, run 'news fits'.
 DEBUG: Executing portactivate::activate_finish
 DEBUG: Executing org.macports.main (octave-fits)
-DEBUG: clean phase started at Thu Jan 22 12:12:07 CST 2015
+DEBUG: clean phase started at Thu Jan 22 12:14:54 CST 2015
 --->  Cleaning octave-fits
 DEBUG: Executing org.macports.clean (octave-fits)
 --->  Removing work directory for octave-fits