Index: Portfile
===================================================================
--- Portfile	(revision 132145)
+++ Portfile	(working copy)
@@ -4,7 +4,7 @@
 PortSystem          1.0
 PortGroup           octave 1.0
 
-octave.setup        tsa 4.2.7
+octave.setup        tsa 4.2.8
 platforms           darwin
 license             GPL-3+
 maintainers         gmail.com:mschamschula openmaintainer
@@ -12,7 +12,14 @@
                     methods for time series analysis.
 long_description    ${description}
 
-checksums           rmd160  f19d0439adadb9121e7deab9f01532d692a64d65 \
-                    sha256  48c22265ed0962c09ef7c1777628afc5d9a206089c674b7b9727a0c5a545b229
+checksums           rmd160  a24c46e1d6118565c5f1d356eed72b27136a7a56 \
+                    sha256  1eb37276ba26658caa1d91d36331981ed1d146384a1bdaca0df9077c7ded57ed
 
 patchfiles          patch-src_Makefile.diff
+
+# TSA uses libgomp, which is provided by libgcc and/or GCC4X ports.
+# allow for libgcc or libgcc-devel
+
+depends_lib-append  path:lib/libgcc/libgcc_s.1.dylib:libgcc
+
+configure.env-append "LOCAL_FLAGS=-L${prefix}/lib -L${prefix}/lib/libgcc -lgomp.1"
Index: files/patch-src_Makefile.diff
===================================================================
--- files/patch-src_Makefile.diff	(revision 132145)
+++ files/patch-src_Makefile.diff	(working copy)
@@ -1,20 +1,52 @@
---- src/Makefile.orig	2014-01-12 14:29:06.000000000 -0600
-+++ src/Makefile	2014-11-28 13:18:52.000000000 -0600
-@@ -41,14 +41,19 @@
+--- src/Makefile.orig	2015-01-24 13:19:09.000000000 -0500
++++ src/Makefile	2015-01-24 13:20:43.000000000 -0500
+@@ -10,116 +10,36 @@
+ # Octave - global install  (e.g. from debian package)
+ # OCTAVE_VERSION= 
+ # Better alternative: define an OCTAVE_VERSION bash variable (or in .bashrc or .profile)
+-OCTAVE_VERSION=-3.8.2
++#OCTAVE_VERSION=-3.8.2
  
- 
- 
+-# Matlab configuration
+-# MATLABDIR = /usr/local/MATLAB/R2010b
+-# comment the following line if you use MATLAB on 32-bit operating system
+-MEX_OPTION += -largeArrayDims
+-
+-# Mingw crosscompiler: available at http://www.nongnu.org/mingw-cross-env/
+-CROSS   = $(HOME)/src/mxe.github.schloegl/usr/bin/i686-w64-mingw32.static
+-CROSS64 = $(HOME)/src/mxe.github.schloegl/usr/bin/x86_64-w64-mingw32.static
+-# include directory for Win32-Matlab include
+-W32MAT_INC = -I$(HOME)/bin/win32/Matlab/R2010b/extern/include/
+-W64MAT_INC = -I$(HOME)/bin/win64/Matlab/R2010b/extern/include/
+-# path to GNUMEX libraries, available from here http://sourceforge.net/projects/gnumex/
+-GNUMEX   = $(HOME)/bin/win32/gnumex
+-GNUMEX64 = $(HOME)/bin/win64/gnumex
+-# building gnumex64 was difficult, these hints were quite useful: 
+-# http://sourceforge.net/mailarchive/forum.php?thread_name=AANLkTinZvxgC9ezp2P3UCX_a7TAUYuVsp2U40MQUV6qr%40mail.gmail.com&forum_name=gnumex-users
+-# Instead of building "mex shortpath.c" and "mex uigetpath.c", I used empty m-functions within argout=argin; 
+-####################################################
+-W32MAT_INC += -I$(subst /usr/bin/,/usr/,$(CROSS))/include/
+-W64MAT_INC += -I$(subst /usr/bin/,/usr/,$(CROSS64))/include/
+-LDLIBS_W32 = $(subst /usr/bin/,/usr/,$(CROSS))/lib/
+-LDLIBS_W64 = $(subst /usr/bin/,/usr/,$(CROSS64))/lib/
+-W32_LIBS  = $(LDLIBS_W32)liblapack.a
+-W64_LIBS  = $(LDLIBS_W64)liblapack.a
+-W32_LIBS += $(LDLIBS_W32)libblas.a
+-W64_LIBS += $(LDLIBS_W64)libblas.a
+-
+-
+-
 -CC  	= gcc
 -CXX 	= g++
 +#CC  	= gcc
 +#CXX 	= g++
  CFLAGS 	= -fopenmp -Wall -Wextra -Wconversion -O2 -fPIC 
- OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex
+-OCTMEX	= mkoctfile$(OCTAVE_VERSION) --mex
  RM      = rm
  
  MEX_OPTION  += -lgomp CC\#$(CXX) CXX\#$(CXX) CFLAGS\#"$(CFLAGS)" CXXFLAGS\#"$(CFLAGS)"
 -MATMEX      = $(MATLABDIR)/bin/mex $(MEX_OPTION)
-+MKOCTFILE = mkoctfile$(OCTAVE_VERSION)
++MKOCTFILE = mkoctfile$(OCTAVE_VERSION) -v
 +OCTMEX	= $(MKOCTFILE) --mex
 +
 +FLIBS = ${shell $(MKOCTFILE) -p FLIBS}
@@ -23,16 +55,78 @@
  
  PROGS = covm_mex.mex sumskipnan_mex.mex #
  
-@@ -88,10 +93,10 @@
+ ### per default only the mex-files for octave are built
+-mex4o octave: $(PROGS)
+-
++octave: $(PROGS)
+ 
+-### Matlab configuration - search for a matlab directory if not defined above
+-ifndef MATLABDIR
+-  ifneq (,$(shell ls -1 /usr/local/ |grep MATLAB))
+-    # use oldest, typically mex-files a compatible with newer Matlab versions 
+-    MATLABDIR=/usr/local/MATLAB/$(shell ls -1t /usr/local/MATLAB/  |grep "^R*" |head -1)
+-    # alternatively, use latest matlab version
+-    #MATLABDIR=$(shell ls -dt1 /usr/local/MATLAB/R* |head -1)
+-  endif
+-endif
+-
+-### if the MATLABDIR has been found or defined 
+-ifneq (,MATLABDIR)
+-  ifneq (,$(shell ls -1 $(MATLABDIR)/bin/mexext))
+-    MEX_EXT=$(shell $(MATLABDIR)/bin/mexext)
+-    mex4m matlab: $(patsubst %.mex, %.$(MEX_EXT), $(PROGS))
+-  endif
+-endif
+-
+-
+-mexw32 win32:  $(patsubst %.mex, %.mexw32, $(PROGS))
+-mexw64 win64:  $(patsubst %.mex, %.mexw64, $(PROGS))
+-all:    octave win32 win64 mex4m
++all:    octave
+ 
+ clean:
+ 	-$(RM) *.o *.obj *.o64 core octave-core *.oct *~ *.mex* 
+ 
+-
+ #########################################################
+-
  #	Octave, MATLAB on Linux 
  #########################################################
  %.oct: %.cc
 -	mkoctfile$(OCTAVE_VERSION) "$<"
-+	$(MKOCTFILE) $<
++	$(MKOCTFILE) "$<"
  
  %.mex: %.cpp
--	$(OCTMEX) "$<"  -lgomp -llapack -lblas     ## Octave
-+	INCFLAGS="$(INCFLAGS) $(INC_CSTDLIB)" $(OCTMEX) $< $(FLIBS) -lgomp     ## Octave
- %.$(MEX_EXT): %.cpp
- 	$(MATMEX) "$<"  -lgomp -llapack -lblas     ## Matlab
- 
+-	$(OCTMEX) "$<"  -lgomp -llapack -lblas
+-%.$(MEX_EXT): %.cpp
+-	$(MATMEX) "$<"  -lgomp -llapack -lblas
+-
+-
+-#########################################################
+-#	MATLAB/WIN32
+-#########################################################
+-%.obj: %.cpp
+-	$(CROSS)-$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" $(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<"
+-%.obj: %.c
+-	$(CROSS)-$(CXX) -fopenmp -c -DMATLAB_MEX_FILE -x c++ -o "$@" $(W32MAT_INC) -O2 -DMX_COMPAT_32 "$<" 
+-
+-%.mexw32: %.obj
+-	$(CROSS)-$(CXX) -shared $(GNUMEX)/mex.def -o "$@" -L$(GNUMEX) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread -L$(LDLIBS_W32) -lblas -llapack
+-
+-
+-#########################################################
+-#	MATLAB/WIN64
+-#########################################################
+-
+-## ToDO: fix OpenMP support: currently -fopenmp causes Matlab to crash
+-%.o64: %.cpp
+-	$(CROSS64)-$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" $(W64MAT_INC) -O2 "$<"
+-%.o64: %.c
+-	$(CROSS64)-$(CXX) -c -DMATLAB_MEX_FILE -x c++ -o "$@" $(W64MAT_INC) -O2 "$<" 
+-
+-%.mexw64: %.o64
+-	$(CROSS64)-$(CXX) -shared $(GNUMEX64)/mex.def -o "$@" -L$(GNUMEX64) -s "$<" -llibmx -llibmex -llibmat -lcholmod -lgomp -lpthread -L$(LDLIBS_W64) -lblas -llapack
+-	
+-	
+-
++	INCFLAGS="$(INCFLAGS) $(INC_CSTDLIB)" $(OCTMEX) $< $(FLIBS) $(LOCAL_FLAGS)